Megosztás a következőn keresztül:


App Service Environments - Get Vip Info

A App Service Environment IP-címek lekérésének leírása.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/hostingEnvironments/{name}/capacities/virtualip?api-version=2025-05-01

URI-paraméterek

Name In Kötelező Típus Description
name
path True

string

Az App Service-környezet neve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

Válaszok

Name Típus Description
200 OK

AddressResponse

Az Azure-művelet sikeresen befejeződött.

Other Status Codes

DefaultErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory Oauth2-folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

Get IP addresses assigned to an App Service Environment.

Mintakérelem

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/capacities/virtualip?api-version=2025-05-01

Mintaválasz

{
  "name": "test-ase",
  "type": "Microsoft.Web/hostingEnvironments/capacities",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/capacities/virtualip",
  "properties": {
    "internalIpAddress": null,
    "outboundIpAddresses": [
      "20.112.141.120"
    ],
    "serviceIpAddress": "20.112.141.120",
    "vipMappings": [
      {
        "inUse": false,
        "internalHttpPort": 20003,
        "internalHttpsPort": 20001,
        "serviceName": null,
        "virtualIP": "20.112.141.135"
      },
      {
        "inUse": false,
        "internalHttpPort": 20004,
        "internalHttpsPort": 20002,
        "serviceName": null,
        "virtualIP": "20.112.141.150"
      }
    ]
  }
}

Definíciók

Name Description
AddressResponse

Ismerteti a fő nyilvános IP-címet és az esetleges további virtuális IP-címeket.

createdByType

Az erőforrást létrehozó identitás típusa.

DefaultErrorResponse

App Service-hibaválasz.

DefaultErrorResponseError

Hibamodell.

DefaultErrorResponseErrorDetailsItem

Részletes hibák.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

VirtualIPMapping

Virtuális IP-leképezés.

AddressResponse

Ismerteti a fő nyilvános IP-címet és az esetleges további virtuális IP-címeket.

Name Típus Description
id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Erőforrás típusa.

name

string

Az erőforrás neve

properties.internalIpAddress

string

Virtual Network a App Service Environment belső IP-címe, ha belső terheléselosztási módban van.

properties.outboundIpAddresses

string[]

A kimenő kapcsolatokon megjelenő IP-címek.

properties.serviceIpAddress

string

Fő nyilvános virtuális IP-cím.

properties.vipMappings

VirtualIPMapping[]

További virtuális IP-címek.

systemData

systemData

A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok.

type

string

Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts"

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service-hibaválasz.

Name Típus Description
error

DefaultErrorResponseError

Hibamodell.

DefaultErrorResponseError

Hibamodell.

Name Típus Description
code

string

Szabványosított sztring a hiba programozott azonosításához.

details

DefaultErrorResponseErrorDetailsItem[]

Részletes hibák.

innererror

string

További információ a hiba hibakereséséről.

message

string

Részletes hibaleírás és hibakeresési információk.

target

string

Részletes hibaleírás és hibakeresési információk.

DefaultErrorResponseErrorDetailsItem

Részletes hibák.

Name Típus Description
code

string

Szabványosított sztring a hiba programozott azonosításához.

message

string

Részletes hibaleírás és hibakeresési információk.

target

string

Részletes hibaleírás és hibakeresési információk.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.

VirtualIPMapping

Virtuális IP-leképezés.

Name Típus Description
inUse

boolean

Használatban van a virtuális IP-leképezés.

internalHttpPort

integer (int32)

Belső HTTP-port.

internalHttpsPort

integer (int32)

Belső HTTPS-port.

serviceName

string

annak a szolgáltatásnak a neve, amelyhez a virtuális IP-cím hozzá van rendelve

virtualIP

string

Virtuális IP-cím.